## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name opensearch-py

Name:           python-%{pypi_name}
Version:        2.4.2
Release:        %autorelease
Summary:        Python low-level client for OpenSearch

License:        Apache-2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-urllib3
BuildRequires:  python3-requests
BuildRequires:  python3-dateutil

%global _description %{expand:
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

# certfi is patched to use fedora CERTs anyway so version kind of irrelevent.
sed -i 's/certifi>=2022\.12\.07/certifi/' setup.py
# relax urllib versions
sed -i 's/urllib3>=1.26.18/urllib3/' setup.py


%build
%{py3_build}


%install
%{py3_install}


%check
%py3_check_import opensearchpy -e opensearchpy.helpers.test


%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/opensearch_py-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/opensearchpy
%doc README.md
%license LICENSE.txt


%changelog
* Fri Sep 30 2022 Steve Traylen <steve.traylen@cern.ch> - 2.0.0-1
- Upgrade to version 2.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.11

* Wed Feb 9 2022 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-3
- Migrate to pyproject macros

* Thu Dec 9 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-2
- Review corrections rhbz#2016597

* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial package.

